Index: trunk/cfg/per-sequence-svc/BQTerrace-1.5x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/BQTerrace-1.5x.cfg	(revision 231)
+++ trunk/cfg/per-sequence-svc/BQTerrace-1.5x.cfg	(revision 310)
@@ -1,7 +1,5 @@
-NumLayers                     : 2
 InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 600         # Number of frames to be coded
-AvcBase                       : 0           # AVC coded base layer as an input
 
 #======== File I/O ===============
@@ -20,5 +18,3 @@
 IntraPeriod1                  : 64          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
-NumDirectRefLayers1           : 1           # number of direct reference layers
-RefLayerIds1                  : 0           # reference layer id
 QP1                           : 20
Index: trunk/cfg/per-sequence-svc/BQTerrace-2x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/BQTerrace-2x.cfg	(revision 231)
+++ trunk/cfg/per-sequence-svc/BQTerrace-2x.cfg	(revision 310)
@@ -1,7 +1,5 @@
-NumLayers                     : 2
 InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 600         # Number of frames to be coded
-AvcBase                       : 0           # AVC coded base layer as an input
 
 #======== File I/O ===============
@@ -20,6 +18,5 @@
 IntraPeriod1                  : 64          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
-NumDirectRefLayers1           : 1           # number of direct reference layers
-RefLayerIds1                  : 0           # reference layer id
+NumScaledRefLayerOffsets1     : 1           # Number of scaled entry offsets for this layer
 ScaledRefLayerBottomOffset1   : -4          # offset for spatial alignment of the base and enhancement layers
 QP1                           : 20
Index: trunk/cfg/per-sequence-svc/BQTerrace-SNR.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/BQTerrace-SNR.cfg	(revision 231)
+++ trunk/cfg/per-sequence-svc/BQTerrace-SNR.cfg	(revision 310)
@@ -1,7 +1,5 @@
-NumLayers                     : 2
 InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 600         # Number of frames to be coded
-AvcBase                       : 0           # AVC coded base layer as an input
 
 #======== File I/O ===============
@@ -20,5 +18,3 @@
 IntraPeriod1                  : 64          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
-NumDirectRefLayers1           : 1           # number of direct reference layers
-RefLayerIds1                  : 0           # reference layer id
 QP1                           : 20
Index: trunk/cfg/per-sequence-svc/BasketballDrive-1.5x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/BasketballDrive-1.5x.cfg	(revision 231)
+++ trunk/cfg/per-sequence-svc/BasketballDrive-1.5x.cfg	(revision 310)
@@ -1,7 +1,5 @@
-NumLayers                     : 2
 InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 500         # Number of frames to be coded
-AvcBase                       : 0           # AVC coded base layer as an input
 
 #======== File I/O ===============
@@ -20,5 +18,3 @@
 IntraPeriod1                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
-NumDirectRefLayers1           : 1           # number of direct reference layers
-RefLayerIds1                  : 0           # reference layer id
 QP1                           : 20
Index: trunk/cfg/per-sequence-svc/BasketballDrive-2x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/BasketballDrive-2x.cfg	(revision 231)
+++ trunk/cfg/per-sequence-svc/BasketballDrive-2x.cfg	(revision 310)
@@ -1,7 +1,5 @@
-NumLayers                     : 2
 InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 500         # Number of frames to be coded
-AvcBase                       : 0           # AVC coded base layer as an input
 
 #======== File I/O ===============
@@ -20,6 +18,5 @@
 IntraPeriod1                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
-NumDirectRefLayers1           : 1           # number of direct reference layers
-RefLayerIds1                  : 0           # reference layer id
+NumScaledRefLayerOffsets1     : 1           # Number of scaled entry offsets for this layer
 ScaledRefLayerBottomOffset1   : -4          # offset for spatial alignment of the base and enhancement layers
 QP1                           : 20
Index: trunk/cfg/per-sequence-svc/BasketballDrive-SNR.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/BasketballDrive-SNR.cfg	(revision 231)
+++ trunk/cfg/per-sequence-svc/BasketballDrive-SNR.cfg	(revision 310)
@@ -1,7 +1,5 @@
-NumLayers                     : 2
 InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 500         # Number of frames to be coded
-AvcBase                       : 0           # AVC coded base layer as an input
 
 #======== File I/O ===============
@@ -20,5 +18,3 @@
 IntraPeriod1                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
-NumDirectRefLayers1           : 1           # number of direct reference layers
-RefLayerIds1                  : 0           # reference layer id
 QP1                           : 20
Index: trunk/cfg/per-sequence-svc/Cactus-1.5x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/Cactus-1.5x.cfg	(revision 231)
+++ trunk/cfg/per-sequence-svc/Cactus-1.5x.cfg	(revision 310)
@@ -1,7 +1,5 @@
-NumLayers                     : 2
 InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 500         # Number of frames to be coded
-AvcBase                       : 0           # AVC coded base layer as an input
 
 #======== File I/O ===============
@@ -20,5 +18,3 @@
 IntraPeriod1                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
-NumDirectRefLayers1           : 1           # number of direct reference layers
-RefLayerIds1                  : 0           # reference layer id
 QP1                           : 20
Index: trunk/cfg/per-sequence-svc/Cactus-2x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/Cactus-2x.cfg	(revision 231)
+++ trunk/cfg/per-sequence-svc/Cactus-2x.cfg	(revision 310)
@@ -1,7 +1,5 @@
-NumLayers                     : 2
 InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 500         # Number of frames to be coded
-AvcBase                       : 0           # AVC coded base layer as an input
 
 #======== File I/O ===============
@@ -20,6 +18,5 @@
 IntraPeriod1                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
-NumDirectRefLayers1           : 1           # number of direct reference layers
-RefLayerIds1                  : 0           # reference layer id
+NumScaledRefLayerOffsets1     : 1           # Number of scaled entry offsets for this layer
 ScaledRefLayerBottomOffset1   : -4          # offset for spatial alignment of the base and enhancement layers
 QP1                           : 20
Index: trunk/cfg/per-sequence-svc/Cactus-SNR.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/Cactus-SNR.cfg	(revision 231)
+++ trunk/cfg/per-sequence-svc/Cactus-SNR.cfg	(revision 310)
@@ -1,7 +1,5 @@
-NumLayers                     : 2
 InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 500         # Number of frames to be coded
-AvcBase                       : 0           # AVC coded base layer as an input
 
 #======== File I/O ===============
@@ -20,5 +18,3 @@
 IntraPeriod1                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
-NumDirectRefLayers1           : 1           # number of direct reference layers
-RefLayerIds1                  : 0           # reference layer id
 QP1                           : 20
Index: trunk/cfg/per-sequence-svc/Kimono-1.5x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/Kimono-1.5x.cfg	(revision 231)
+++ trunk/cfg/per-sequence-svc/Kimono-1.5x.cfg	(revision 310)
@@ -1,7 +1,5 @@
-NumLayers                     : 2
 InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 240         # Number of frames to be coded
-AvcBase                       : 0           # AVC coded base layer as an input
 
 #======== File I/O ===============
@@ -20,5 +18,3 @@
 IntraPeriod1                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
-NumDirectRefLayers1           : 1           # number of direct reference layers
-RefLayerIds1                  : 0           # reference layer id
 QP1                           : 20
Index: trunk/cfg/per-sequence-svc/Kimono-2x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/Kimono-2x.cfg	(revision 231)
+++ trunk/cfg/per-sequence-svc/Kimono-2x.cfg	(revision 310)
@@ -1,7 +1,5 @@
-NumLayers                     : 2
 InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 240         # Number of frames to be coded
-AvcBase                       : 0           # AVC coded base layer as an input
 
 #======== File I/O ===============
@@ -20,6 +18,5 @@
 IntraPeriod1                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
-NumDirectRefLayers1           : 1           # number of direct reference layers
-RefLayerIds1                  : 0           # reference layer id
+NumScaledRefLayerOffsets1     : 1           # Number of scaled entry offsets for this layer
 ScaledRefLayerBottomOffset1   : -4          # offset for spatial alignment of the base and enhancement layers
 QP1                           : 20
Index: trunk/cfg/per-sequence-svc/Kimono-SNR.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/Kimono-SNR.cfg	(revision 231)
+++ trunk/cfg/per-sequence-svc/Kimono-SNR.cfg	(revision 310)
@@ -1,7 +1,5 @@
-NumLayers                     : 2
 InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 240         # Number of frames to be coded
-AvcBase                       : 0           # AVC coded base layer as an input
 
 #======== File I/O ===============
@@ -20,5 +18,3 @@
 IntraPeriod1                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
-NumDirectRefLayers1           : 1           # number of direct reference layers
-RefLayerIds1                  : 0           # reference layer id
 QP1                           : 20
Index: trunk/cfg/per-sequence-svc/ParkScene-1.5x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/ParkScene-1.5x.cfg	(revision 231)
+++ trunk/cfg/per-sequence-svc/ParkScene-1.5x.cfg	(revision 310)
@@ -1,7 +1,5 @@
-NumLayers                     : 2
 InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 240         # Number of frames to be coded
-AvcBase                       : 0           # AVC coded base layer as an input
 
 #======== File I/O ===============
@@ -20,5 +18,3 @@
 IntraPeriod1                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
-NumDirectRefLayers1           : 1           # number of direct reference layers
-RefLayerIds1                  : 0           # reference layer id
 QP1                           : 20
Index: trunk/cfg/per-sequence-svc/ParkScene-2x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/ParkScene-2x.cfg	(revision 231)
+++ trunk/cfg/per-sequence-svc/ParkScene-2x.cfg	(revision 310)
@@ -1,7 +1,5 @@
-NumLayers                     : 2
 InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 240         # Number of frames to be coded
-AvcBase                       : 0           # AVC coded base layer as an input
 
 #======== File I/O ===============
@@ -20,6 +18,5 @@
 IntraPeriod1                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
-NumDirectRefLayers1           : 1           # number of direct reference layers
-RefLayerIds1                  : 0           # reference layer id
+NumScaledRefLayerOffsets1     : 1           # Number of scaled entry offsets for this layer
 ScaledRefLayerBottomOffset1   : -4          # offset for spatial alignment of the base and enhancement layers
 QP1                           : 20
Index: trunk/cfg/per-sequence-svc/ParkScene-SNR.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/ParkScene-SNR.cfg	(revision 231)
+++ trunk/cfg/per-sequence-svc/ParkScene-SNR.cfg	(revision 310)
@@ -1,7 +1,5 @@
-NumLayers                     : 2
 InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 240         # Number of frames to be coded
-AvcBase                       : 0           # AVC coded base layer as an input
 
 #======== File I/O ===============
@@ -20,5 +18,3 @@
 IntraPeriod1                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
-NumDirectRefLayers1           : 1           # number of direct reference layers
-RefLayerIds1                  : 0           # reference layer id
 QP1                           : 20
Index: trunk/cfg/per-sequence-svc/PeopleOnStreet-2x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/PeopleOnStreet-2x.cfg	(revision 231)
+++ trunk/cfg/per-sequence-svc/PeopleOnStreet-2x.cfg	(revision 310)
@@ -1,7 +1,5 @@
-NumLayers                     : 2
 InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 150         # Number of frames to be coded
-AvcBase                       : 0           # AVC coded base layer as an input
 
 #======== File I/O ===============
@@ -20,5 +18,3 @@
 IntraPeriod1                  : 32          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
-NumDirectRefLayers1           : 1           # number of direct reference layers
-RefLayerIds1                  : 0           # reference layer id
 QP1                           : 20
Index: trunk/cfg/per-sequence-svc/PeopleOnStreet-SNR.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/PeopleOnStreet-SNR.cfg	(revision 231)
+++ trunk/cfg/per-sequence-svc/PeopleOnStreet-SNR.cfg	(revision 310)
@@ -1,7 +1,5 @@
-NumLayers                     : 2
 InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 150         # Number of frames to be coded
-AvcBase                       : 0           # AVC coded base layer as an input
 
 #======== File I/O ===============
@@ -20,5 +18,3 @@
 IntraPeriod1                  : 32          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
-NumDirectRefLayers1           : 1           # number of direct reference layers
-RefLayerIds1                  : 0           # reference layer id
 QP1                           : 20
Index: trunk/cfg/per-sequence-svc/Traffic-2x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/Traffic-2x.cfg	(revision 231)
+++ trunk/cfg/per-sequence-svc/Traffic-2x.cfg	(revision 310)
@@ -1,7 +1,5 @@
-NumLayers                     : 2
 InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 150         # Number of frames to be coded
-AvcBase                       : 0           # AVC coded base layer as an input
 
 #======== File I/O ===============
@@ -20,5 +18,3 @@
 IntraPeriod1                  : 32          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
-NumDirectRefLayers1           : 1           # number of direct reference layers
-RefLayerIds1                  : 0           # reference layer id
 QP1                           : 20
Index: trunk/cfg/per-sequence-svc/Traffic-SNR.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/Traffic-SNR.cfg	(revision 231)
+++ trunk/cfg/per-sequence-svc/Traffic-SNR.cfg	(revision 310)
@@ -1,7 +1,5 @@
-NumLayers                     : 2
 InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 150         # Number of frames to be coded
-AvcBase                       : 0           # AVC coded base layer as an input
 
 #======== File I/O ===============
@@ -20,5 +18,3 @@
 IntraPeriod1                  : 32          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
-NumDirectRefLayers1           : 1           # number of direct reference layers
-RefLayerIds1                  : 0           # reference layer id
 QP1                           : 20