Index: branches/SHM-3.0-dev/source/App/TAppEncoder/TAppEncCfg.cpp
===================================================================
--- branches/SHM-3.0-dev/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 316)
+++ branches/SHM-3.0-dev/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 317)
@@ -2189,7 +2189,4 @@
 #elif INTRA_BL
   printf("INTRA_BL:%d ", INTRA_BL);
-#if !AVC_BASE
-  printf("SVC_MVP:%d ", SVC_MVP );
-#endif
 #endif
 #else
Index: branches/SHM-3.0-dev/source/Lib/TLibCommon/TComDataCU.cpp
===================================================================
--- branches/SHM-3.0-dev/source/Lib/TLibCommon/TComDataCU.cpp	(revision 316)
+++ branches/SHM-3.0-dev/source/Lib/TLibCommon/TComDataCU.cpp	(revision 317)
@@ -2556,58 +2556,4 @@
   deriveLeftRightTopIdxGeneral( uiAbsPartIdx, uiPUIdx, uiPartIdxLT, uiPartIdxRT );
   deriveLeftBottomIdxGeneral  ( uiAbsPartIdx, uiPUIdx, uiPartIdxLB );
-#if SVC_MVP
-  // BL collocated
-  TComDataCU *pcColCU = NULL;
-  UInt uiCUAddrBase = 0, uiAbsPartAddrBase = 0;
-#if AVC_BASE
-  if( !this->getSlice()->getVPS()->getAvcBaseLayerFlag() || AVC_SYNTAX )
-#endif
-  {
-    TComMvField cMvFieldBaseColCU[2];
-    if(m_layerId)  
-    {
-      pcColCU = getBaseColCU( m_layerId - 1, xP + nPSW/2, yP + nPSH/2, uiCUAddrBase, uiAbsPartAddrBase );
-
-#if INTRA_BL
-      if( pcColCU && pcColCU->isIntraBL( uiAbsPartAddrBase ) )
-      {
-        pcColCU = NULL;
-      }
-#endif
-
-      if(pcColCU && !pcColCU->isIntra( uiAbsPartAddrBase ) )
-      {
-        abCandIsInter[iCount] = true;
-
-        // get interDir
-        puhInterDirNeighbours[iCount] = pcColCU->getInterDir( uiAbsPartAddrBase );
-
-        pcMvFieldNeighbours[(iCount << 1)].setMvField( TComMv(0,0), -1);
-        pcMvFieldNeighbours[(iCount << 1) + 1].setMvField( TComMv(0,0), -1);
-
-        if( puhInterDirNeighbours[iCount] & 1 )
-        {
-          pcColCU->getMvField( pcColCU, uiAbsPartAddrBase, REF_PIC_LIST_0, cMvFieldBaseColCU[0]);
-          scaleBaseMV( m_layerId - 1, pcMvFieldNeighbours[iCount<<1], cMvFieldBaseColCU[0] );
-        }
-
-        if ( getSlice()->isInterB() && puhInterDirNeighbours[iCount] & 2 )
-        {
-          pcColCU->getMvField( pcColCU, uiAbsPartAddrBase, REF_PIC_LIST_1, cMvFieldBaseColCU[1] );
-          scaleBaseMV( m_layerId - 1, pcMvFieldNeighbours[(iCount<<1)+1], cMvFieldBaseColCU[1] );
-        }
-
-        if( puhInterDirNeighbours[iCount] > 0 )
-        {
-          if ( mrgCandIdx == iCount )
-          {
-            return;
-          }
-          iCount ++;
-        }
-      }
-    }
-  }
-#endif
 
   //left
@@ -2623,7 +2569,4 @@
   Bool isAvailableA1 = pcCULeft &&
   pcCULeft->isDiffMER(xP -1, yP+nPSH-1, xP, yP) &&
-#if SVC_MVP
-  ( !pcColCU || pcColCU->isIntra( uiAbsPartAddrBase ) || !pcCULeft->hasEqualMotion( uiLeftPartIdx, puhInterDirNeighbours[0], &pcMvFieldNeighbours[0])) &&
-#endif
   !( uiPUIdx == 1 && (cCurPS == SIZE_Nx2N || cCurPS == SIZE_nLx2N || cCurPS == SIZE_nRx2N) ) &&
   !pcCULeft->isIntra( uiLeftPartIdx ) ;
@@ -2662,7 +2605,4 @@
 #endif
   Bool isAvailableB1 = pcCUAbove &&
-#if SVC_MVP
-  ( !pcColCU || pcColCU->isIntra( uiAbsPartAddrBase ) || !pcCUAbove->hasEqualMotion( uiAbovePartIdx, puhInterDirNeighbours[0], &pcMvFieldNeighbours[0] )) &&
-#endif
   pcCUAbove->isDiffMER(xP+nPSW-1, yP-1, xP, yP) &&
   !( uiPUIdx == 1 && (cCurPS == SIZE_2NxN || cCurPS == SIZE_2NxnU || cCurPS == SIZE_2NxnD) ) &&
@@ -2702,7 +2642,4 @@
 #endif
   Bool isAvailableB0 = pcCUAboveRight &&
-#if SVC_MVP && !IL_MRG_SIMPLIFIED_PRUNING
-  ( !pcColCU || pcColCU->isIntra( uiAbsPartAddrBase ) || !pcCUAboveRight->hasEqualMotion( uiAboveRightPartIdx, puhInterDirNeighbours[0], &pcMvFieldNeighbours[0] )) &&
-#endif
   pcCUAboveRight->isDiffMER(xP+nPSW, yP-1, xP, yP) &&
   !pcCUAboveRight->isIntra( uiAboveRightPartIdx );
@@ -2731,8 +2668,4 @@
 
   //left bottom
-#if SVC_MVP
-  if( iCount < 4 )
-  {
-#endif
   UInt uiLeftBottomPartIdx = 0;
   TComDataCU* pcCULeftBottom = 0;
@@ -2746,7 +2679,4 @@
   Bool isAvailableA0 = pcCULeftBottom &&
   pcCULeftBottom->isDiffMER(xP-1, yP+nPSH, xP, yP) &&
-#if SVC_MVP && !IL_MRG_SIMPLIFIED_PRUNING
-  ( !pcColCU || pcColCU->isIntra( uiAbsPartAddrBase ) || !pcCULeftBottom->hasEqualMotion( uiLeftBottomPartIdx, puhInterDirNeighbours[0], &pcMvFieldNeighbours[0])) &&
-#endif
   !pcCULeftBottom->isIntra( uiLeftBottomPartIdx ) ;
   if ( isAvailableA0 && ( !isAvailableA1 || !pcCULeft->hasEqualMotion( uiLeftPartIdx, pcCULeftBottom, uiLeftBottomPartIdx ) ) )
@@ -2772,7 +2702,4 @@
     return;
   }
-#if SVC_MVP
-  }
-#endif
 
   // above left 
@@ -2790,7 +2717,4 @@
     Bool isAvailableB2 = pcCUAboveLeft &&
     pcCUAboveLeft->isDiffMER(xP-1, yP-1, xP, yP) &&
-#if SVC_MVP && !IL_MRG_SIMPLIFIED_PRUNING
-    ( !pcColCU || pcColCU->isIntra( uiAbsPartAddrBase ) || !pcCUAboveLeft->hasEqualMotion( uiAboveLeftPartIdx, puhInterDirNeighbours[0], &pcMvFieldNeighbours[0] )) &&
-#endif
     !pcCUAboveLeft->isIntra( uiAboveLeftPartIdx );
     if ( isAvailableB2 && ( !isAvailableA1 || !pcCULeft->hasEqualMotion( uiLeftPartIdx, pcCUAboveLeft, uiAboveLeftPartIdx ) )
@@ -3669,11 +3593,6 @@
   if (scaleFactor > 0)
   {
-#if SVC_MVP
-    m_acCUMvField[0].compress(m_pePredMode, m_puhInterDir, scaleFactor);
-    m_acCUMvField[1].compress(m_pePredMode, m_puhInterDir, scaleFactor);    
-#else
     m_acCUMvField[0].compress(m_pePredMode, scaleFactor);
     m_acCUMvField[1].compress(m_pePredMode, scaleFactor);    
-#endif
   }
 }
@@ -4304,28 +4223,3 @@
 }
 #endif
-
-#if SVC_MVP
-Bool TComDataCU::hasEqualMotion( UInt uiAbsPartIdx, UChar uchInterDir, TComMvField* pcMvField  )
-{
-  if ( getInterDir( uiAbsPartIdx ) != uchInterDir )
-  {
-    return false;
-  }
-
-  for ( UInt uiRefListIdx = 0; uiRefListIdx < 2; uiRefListIdx++ )
-  {
-    if ( getInterDir( uiAbsPartIdx ) & ( 1 << uiRefListIdx ) )
-    {
-      if ( getCUMvField( RefPicList( uiRefListIdx ) )->getMv( uiAbsPartIdx )  != pcMvField[uiRefListIdx].getMv() || 
-        getCUMvField( RefPicList( uiRefListIdx ) )->getRefIdx( uiAbsPartIdx ) != pcMvField[uiRefListIdx].getRefIdx() )
-      {
-        return false;
-      }
-    }
-  }
-
-  return true;
-}
-#endif
-
 //! \}
Index: branches/SHM-3.0-dev/source/Lib/TLibCommon/TComDataCU.h
===================================================================
--- branches/SHM-3.0-dev/source/Lib/TLibCommon/TComDataCU.h	(revision 316)
+++ branches/SHM-3.0-dev/source/Lib/TLibCommon/TComDataCU.h	(revision 317)
@@ -485,8 +485,4 @@
   Void          deriveLeftBottomIdxGeneral    ( UInt uiAbsPartIdx, UInt uiPartIdx, UInt& ruiPartIdxLB );
   
-#if SVC_MVP
-  Bool          hasEqualMotion              ( UInt uiAbsPartIdx, UChar uchInterDir, TComMvField* pcMvField  );
-#endif
-  
   // -------------------------------------------------------------------------------------------------------------------
   // member functions for modes
Index: branches/SHM-3.0-dev/source/Lib/TLibCommon/TComMotionInfo.cpp
===================================================================
--- branches/SHM-3.0-dev/source/Lib/TLibCommon/TComMotionInfo.cpp	(revision 316)
+++ branches/SHM-3.0-dev/source/Lib/TLibCommon/TComMotionInfo.cpp	(revision 317)
@@ -328,9 +328,5 @@
  * \param scale      Factor by which to subsample motion information
  */
-#if SVC_MVP
-Void TComCUMvField::compress(Char* pePredMode, UChar* peInterDir, Int scale)
-#else
 Void TComCUMvField::compress(Char* pePredMode, Int scale)
-#endif
 {
   Int N = scale * scale;
@@ -351,7 +347,4 @@
       pePredMode[ uiPartIdx + i ] = predMode;
       m_piRefIdx[ uiPartIdx + i ] = iRefIdx;
-#if SVC_MVP
-      peInterDir[ uiPartIdx + i ] = peInterDir[ uiPartIdx ];
-#endif
     }
   }
Index: branches/SHM-3.0-dev/source/Lib/TLibCommon/TComMotionInfo.h
===================================================================
--- branches/SHM-3.0-dev/source/Lib/TLibCommon/TComMotionInfo.h	(revision 316)
+++ branches/SHM-3.0-dev/source/Lib/TLibCommon/TComMotionInfo.h	(revision 317)
@@ -158,9 +158,5 @@
   }
   
-#if SVC_MVP
-  Void compress(Char* pePredMode, UChar* peInterDir, Int scale);
-#else
   Void compress(Char* pePredMode, Int scale); 
-#endif
 
 #if REF_IDX_MFM
Index: branches/SHM-3.0-dev/source/Lib/TLibCommon/TypeDef.h
===================================================================
--- branches/SHM-3.0-dev/source/Lib/TLibCommon/TypeDef.h	(revision 316)
+++ branches/SHM-3.0-dev/source/Lib/TLibCommon/TypeDef.h	(revision 317)
@@ -120,9 +120,5 @@
 #define INTRA_BL_DST4x4                  1      ///< L0067/L0204: DST4x4 for Intra BL
 #define NO_RESIDUAL_FLAG_FOR_BLPRED      1      ///< L0437: Root cbf for Intra_BL
-#define IL_MRG_SIMPLIFIED_PRUNING        1      ///< M0124: simplified pruning, Only the left and above candidates are checked with BL-C candidate for redundancy removal 
 #define INTRA_BL_CTX_CHANGE              1      ///< M0075: spatial dependency removal for IntraBL flag context derivation
-
-// Hooks
-#define SVC_MVP                          1      ///< motion hook for merge mode as an example
 
 #endif