Index: branches/HTM-6.1-Cleanup/source/Lib/TLibDecoder/TDecCAVLC.cpp
===================================================================
--- branches/HTM-6.1-Cleanup/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 321)
+++ branches/HTM-6.1-Cleanup/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 325)
@@ -1206,5 +1206,5 @@
 #endif
 #endif
-#if HHI_MPI || OL_QTLIMIT_PREDCODING_B0068
+#if HHI_MPI || H3D_QTL
 Void TDecCavlc::parseSPS(TComSPS* pcSPS, Bool bIsDepth)
 #else
@@ -1447,5 +1447,5 @@
     }
 #endif
-#if OL_QTLIMIT_PREDCODING_B0068
+#if H3D_QTL
     if( bIsDepth )
     {
Index: branches/HTM-6.1-Cleanup/source/Lib/TLibDecoder/TDecCAVLC.h
===================================================================
--- branches/HTM-6.1-Cleanup/source/Lib/TLibDecoder/TDecCAVLC.h	(revision 321)
+++ branches/HTM-6.1-Cleanup/source/Lib/TLibDecoder/TDecCAVLC.h	(revision 325)
@@ -114,5 +114,5 @@
   Void  parseVPS            ( TComVPS* pcVPS );
 #endif
-#if HHI_MPI || OL_QTLIMIT_PREDCODING_B0068
+#if HHI_MPI || H3D_QTL
   Void  parseSPS            ( TComSPS* pcSPS, Bool bIsDepth );
 #else
Index: branches/HTM-6.1-Cleanup/source/Lib/TLibDecoder/TDecCu.cpp
===================================================================
--- branches/HTM-6.1-Cleanup/source/Lib/TLibDecoder/TDecCu.cpp	(revision 321)
+++ branches/HTM-6.1-Cleanup/source/Lib/TLibDecoder/TDecCu.cpp	(revision 325)
@@ -409,7 +409,4 @@
     }
 #endif
-#if H3D_IVRP && !MTK_MDIVRP_C0138
-    m_pcEntropyDecoder->decodeResPredFlag( pcCU, uiAbsPartIdx, uiDepth, m_ppcCU[uiDepth], 0 );
-#endif
     xFinishDecodeCU( pcCU, uiAbsPartIdx, uiDepth, ruiIsLast );
     return;
@@ -460,10 +457,4 @@
 #endif
 
-#if H3D_IVRP && !MTK_MDIVRP_C0138
-  if( !pcCU->isIntra( uiAbsPartIdx ) )
-  {
-    m_pcEntropyDecoder->decodeResPredFlag    ( pcCU, uiAbsPartIdx, uiDepth, m_ppcCU[uiDepth], 0 );
-  }
-#endif
 #if LGE_ILLUCOMP_DEPTH_C0046 && HHI_MPI
   }
@@ -679,5 +670,5 @@
   m_pcPrediction->motionCompensation( pcCU, m_ppcYuvReco[uiDepth] );
 #endif
-#if MTK_MDIVRP_C0138
+#if H3D_IVRP
   if (pcCU->getMergeFlag(0) && pcCU->getMergeIndex(0)==0 && pcCU->getResPredAvail(0))
   {
@@ -691,24 +682,4 @@
 #endif
 
-#if H3D_IVRP && !MTK_MDIVRP_C0138
-  if( pcCU->getResPredFlag( 0 ) )
-  {
-    AOF( pcCU->getResPredAvail( 0 ) );
-    Bool bOK = pcCU->getResidualSamples( 0, 
-#if QC_SIMPLIFIEDIVRP_M24938
-      true,
-#endif
-      m_ppcYuvResPred[uiDepth] );
-    AOF( bOK );
-#if LG_RESTRICTEDRESPRED_M24766
-    Int iPUResiPredShift[4];
-    pcCU->getPUResiPredShift(iPUResiPredShift, 0);
-    m_ppcYuvReco[uiDepth]->add(iPUResiPredShift, pcCU->getPartitionSize(0), m_ppcYuvResPred[uiDepth], pcCU->getWidth( 0 ), pcCU->getHeight( 0 ) );
-#else
-    m_ppcYuvReco[uiDepth]->add( m_ppcYuvResPred[uiDepth], pcCU->getWidth( 0 ), pcCU->getHeight( 0 ) );
-#endif
-  }
-#endif
-
   // inter recon
   xDecodeInterTexture( pcCU, 0, uiDepth );
@@ -722,9 +693,5 @@
   {
 #if H3D_IVRP
-#if MTK_MDIVRP_C0138
     if (pcCU->getMergeFlag(0) && pcCU->getMergeIndex(0)==0 && pcCU->getResPredAvail(0))
-#else
-    if( pcCU->getResPredFlag( 0 ) )
-#endif
     {
       m_ppcYuvReco[uiDepth]->clip( pcCU->getWidth( 0 ), pcCU->getHeight( 0 ) );
Index: branches/HTM-6.1-Cleanup/source/Lib/TLibDecoder/TDecEntropy.cpp
===================================================================
--- branches/HTM-6.1-Cleanup/source/Lib/TLibDecoder/TDecEntropy.cpp	(revision 321)
+++ branches/HTM-6.1-Cleanup/source/Lib/TLibDecoder/TDecEntropy.cpp	(revision 325)
@@ -108,39 +108,4 @@
 }
 
-#if H3D_IVRP && !MTK_MDIVRP_C0138
-Void
-TDecEntropy::decodeResPredFlag( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth, TComDataCU* pcSubCU, UInt uiPUIdx )
-{
-  Bool  bResPredAvailable   = false;
-  Bool  bResPredFlag        = false;
-
-  Bool  bResPredAllowed     =                    (!pcCU->getSlice()->getSPS()->isDepth                () );
-  bResPredAllowed           = bResPredAllowed && ( pcCU->getSlice()->getSPS()->getViewId              () );
-  bResPredAllowed           = bResPredAllowed && ( pcCU->getSlice()->getSPS()->getMultiviewResPredMode() );
-  bResPredAllowed           = bResPredAllowed && (!pcCU->isIntra           ( uiAbsPartIdx )              );
-
-  // check if supported
-  if( bResPredAllowed )
-  {
-    bResPredAvailable       = pcSubCU->getResidualSamples( uiPUIdx , false  );
-  }
-
-  // read from bitstream
-  if( bResPredAvailable )
-  {
-#if LG_RESTRICTEDRESPRED_M24766
-    Int iPUResiPredShift[4];
-    pcCU->getPUResiPredShift(iPUResiPredShift, uiAbsPartIdx);
-    if(iPUResiPredShift[0] >= 0 || iPUResiPredShift[1] >= 0  || iPUResiPredShift[2] >= 0  || iPUResiPredShift[3] >= 0 )
-#endif
-    m_pcEntropyDecoderIf->parseResPredFlag( pcCU, bResPredFlag, uiAbsPartIdx, uiDepth );
-  }
-
-  // set data
-  pcCU->setResPredAvailSubParts ( bResPredAvailable, uiAbsPartIdx, uiPUIdx, uiDepth );
-  pcCU->setResPredFlagSubParts  ( bResPredFlag,      uiAbsPartIdx, uiPUIdx, uiDepth );
-}
-#endif
-
 Void TDecEntropy::decodeSplitFlag   ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth )
 {
Index: branches/HTM-6.1-Cleanup/source/Lib/TLibDecoder/TDecEntropy.h
===================================================================
--- branches/HTM-6.1-Cleanup/source/Lib/TLibDecoder/TDecEntropy.h	(revision 321)
+++ branches/HTM-6.1-Cleanup/source/Lib/TLibDecoder/TDecEntropy.h	(revision 325)
@@ -72,5 +72,5 @@
   virtual Void  parseVPS                  ( TComVPS* pcVPS )                       = 0;
 #endif
-#if HHI_MPI || OL_QTLIMIT_PREDCODING_B0068
+#if HHI_MPI || H3D_QTL
   virtual Void  parseSPS                  ( TComSPS* pcSPS, Bool bIsDepth )                       = 0;
 #else
@@ -171,5 +171,5 @@
 #endif
   
-#if HHI_MPI || OL_QTLIMIT_PREDCODING_B0068
+#if HHI_MPI || H3D_QTL
   Void    decodeSPS                   ( TComSPS* pcSPS, Bool bIsDepth ) { m_pcEntropyDecoderIf->parseSPS(pcSPS, bIsDepth); }
 #else
@@ -198,7 +198,4 @@
   Void decodeMergeFlag         ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth, UInt uiPUIdx );
   Void decodeMergeIndex        ( TComDataCU* pcSubCU, UInt uiPartIdx, UInt uiPartAddr, PartSize eCUMode, UChar* puhInterDirNeighbours, TComMvField* pcMvFieldNeighbours, UInt uiDepth );
-#if H3D_IVRP && !MTK_MDIVRP_C0138
-  Void decodeResPredFlag       ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth, TComDataCU* pcSubCU, UInt uiPUIdx );
-#endif
   Void decodePredMode          ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth );
   Void decodePartSize          ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth );
Index: branches/HTM-6.1-Cleanup/source/Lib/TLibDecoder/TDecSbac.cpp
===================================================================
--- branches/HTM-6.1-Cleanup/source/Lib/TLibDecoder/TDecSbac.cpp	(revision 321)
+++ branches/HTM-6.1-Cleanup/source/Lib/TLibDecoder/TDecSbac.cpp	(revision 325)
@@ -707,5 +707,5 @@
   UInt uiSymbol;
 
-#if OL_QTLIMIT_PREDCODING_B0068
+#if H3D_QTL
   Bool bParseSplitFlag    = true;
 
@@ -715,10 +715,6 @@
   Bool bIntraSliceDetect  = (pcCU->getSlice()->getSliceType() == I_SLICE);
 
-#if HHI_QTLPC_RAU_OFF_C0160
   Bool rapPic     = (pcCU->getSlice()->getNalUnitType() == NAL_UNIT_CODED_SLICE_IDR || pcCU->getSlice()->getNalUnitType() == NAL_UNIT_CODED_SLICE_CRA);
   if(bDepthMapDetect && !bIntraSliceDetect && !rapPic && sps->getUseQTLPC())
-#else
-  if(bDepthMapDetect && !bIntraSliceDetect && sps->getUseQTLPC())
-#endif
   {
     TComDataCU *pcTextureCU = pcTexture->getCU(pcCU->getAddr());
@@ -733,5 +729,5 @@
     DTRACE_CABAC_VL( g_nSymbolCounter++ )
     DTRACE_CABAC_T( "\tSplitFlag\n" )
-#if OL_QTLIMIT_PREDCODING_B0068
+#if H3D_QTL
   }
   else
@@ -755,5 +751,5 @@
   PartSize eMode;
 
-#if OL_QTLIMIT_PREDCODING_B0068
+#if H3D_QTL
   Bool bParsePartSize    = true;
   TComSPS *sps           = pcCU->getPic()->getSlice(0)->getSPS();
@@ -762,10 +758,6 @@
   Bool bIntraSliceDetect = (pcCU->getSlice()->getSliceType() == I_SLICE);
 
-#if HHI_QTLPC_RAU_OFF_C0160
   Bool rapPic     = (pcCU->getSlice()->getNalUnitType() == NAL_UNIT_CODED_SLICE_IDR || pcCU->getSlice()->getNalUnitType() == NAL_UNIT_CODED_SLICE_CRA);
   if(bDepthMapDetect && !bIntraSliceDetect && !rapPic && sps->getUseQTLPC())
-#else
-  if(bDepthMapDetect && !bIntraSliceDetect && sps->getUseQTLPC())
-#endif
   {
     TComDataCU *pcTextureCU = pcTexture->getCU(pcCU->getAddr());
@@ -781,5 +773,5 @@
   if ( pcCU->isIntra( uiAbsPartIdx ) )
   {
-#if OL_QTLIMIT_PREDCODING_B0068
+#if H3D_QTL
     if(bParsePartSize)
     {
@@ -791,5 +783,5 @@
       }
       eMode = uiSymbol ? SIZE_2Nx2N : SIZE_NxN;
-#if OL_QTLIMIT_PREDCODING_B0068
+#if H3D_QTL
     }
 #endif
@@ -809,5 +801,5 @@
   else
   {
-#if OL_QTLIMIT_PREDCODING_B0068
+#if H3D_QTL
     if(bParsePartSize)
     {
@@ -849,5 +841,5 @@
         }
       }
-#if OL_QTLIMIT_PREDCODING_B0068
+#if H3D_QTL
     }
 #endif
Index: branches/HTM-6.1-Cleanup/source/Lib/TLibDecoder/TDecSbac.h
===================================================================
--- branches/HTM-6.1-Cleanup/source/Lib/TLibDecoder/TDecSbac.h	(revision 321)
+++ branches/HTM-6.1-Cleanup/source/Lib/TLibDecoder/TDecSbac.h	(revision 325)
@@ -88,5 +88,5 @@
   Void  parseVPS                  ( TComVPS* pcVPS )  {}
 #endif
-#if HHI_MPI || OL_QTLIMIT_PREDCODING_B0068
+#if HHI_MPI || H3D_QTL
   Void  parseSPS                  ( TComSPS* pcSPS, Bool bIsDepth ) {}
 #else
Index: branches/HTM-6.1-Cleanup/source/Lib/TLibDecoder/TDecTop.cpp
===================================================================
--- branches/HTM-6.1-Cleanup/source/Lib/TLibDecoder/TDecTop.cpp	(revision 321)
+++ branches/HTM-6.1-Cleanup/source/Lib/TLibDecoder/TDecTop.cpp	(revision 325)
@@ -1257,5 +1257,5 @@
   TComRPSList* rps = new TComRPSList();
   sps->setRPSList(rps);
-#if HHI_MPI || OL_QTLIMIT_PREDCODING_B0068
+#if HHI_MPI || H3D_QTL
   m_cEntropyDecoder.decodeSPS( sps, m_isDepth );
 #else